Impossibile eseguire il progetto Eclipse - non riesce a trovare di database API

? F1sher @ | Original: StackOverFlow
---

Il mio codice compilato . Non ci sono errori nel codice . Ho scaricato pieno SDK . Il run ottengo questo errore :

Can't find API database; API check not performed        

Ed è in Località : linea 1, di tipo Android Lint problema .

Non ho idea di che cosa è sbagliato .

---

Top 5 Risposta

1F1sher @

Ho riparato . Nel manifesto ho avuto in minSdkVersion usi - sdk specificato, ma non ho avuto targetSdkVersion . Dopo l'aggiunta del parametro targetSdkVersion è compilato e corse .

2BartoszK @

Ho risolto in modo diverso . Nel manifesto ho avuto :

<uses-sdk
    android:minSdkVersion="9"
    android:targetSdkVersion="19" />

Il problema era che, dopo l'installazione del nuovo Eclipse ADT, in " Android SDK Manager" non ho avuto alcun Platform SDK installato . Così ho installato API 19 SDK Platform & amp ; Documentazione & amp ; Fonti . Vorrei installare anche API 9, ma per qualche motivo non è presente nel SDK Manager.

In ogni caso, dopo questo ho curato l'androide : minSdkVersion = " 10 " - > [ salva ] - > di nuovo cambiato in Android : minSdkVersion = " 9 " - > [ salva ] ... E il problema non c'era più .

3Sharky @ go to your Manifest click on Uses Sdk change Min SDK version to 9 or something else and press ctrl+s (save) error should disappear now change Min SDK version back to your original value

Che ha risolto per me .